CFTimeZone Reference

## Detailed Description

## Typedefs

typedef const struct __CFTimeZone * | CFTimeZoneRef

## Enumerations

enum | CFTimeZoneNameStyle { kCFTimeZoneNameStyleStandard , kCFTimeZoneNameStyleShortStandard , kCFTimeZoneNameStyleDaylightSaving , kCFTimeZoneNameStyleShortDaylightSaving }

## Functions

CFTimeZoneRef | CFTimeZoneCreateWithName (CFAllocatorRef alloc, CFStringRef name, Boolean tryAbbrev)
CFTimeZoneRef | CFTimeZoneCreateWithTimeIntervalFromGMT (CFAllocatorRef alloc, CFTimeInterval ti)
CFTimeZoneRef | CFTimeZoneCreate (CFAllocatorRef alloc, CFStringRef name, CFDataRef data)
CFDictionaryRef | CFTimeZoneCopyAbbreviationDictionary (void)
CFStringRef | CFTimeZoneCopyAbbreviation (CFTimeZoneRef tz, CFAbsoluteTime at)
CFTimeZoneRef | CFTimeZoneCopyDefault (void)
CFTimeZoneRef | CFTimeZoneCopySystem (void)
void | CFTimeZoneSetDefault (CFTimeZoneRef tz)
CFArrayRef | CFTimeZoneCopyKnownNames (void)
void | CFTimeZoneResetSystem (void)
void | CFTimeZoneSetAbbreviationDictionary (CFDictionaryRef dict)
CFStringRef | CFTimeZoneGetName (CFTimeZoneRef tz)
CFTimeInterval | CFTimeZoneGetSecondsFromGMT (CFTimeZoneRef tz, CFAbsoluteTime at)
CFDataRef | CFTimeZoneGetData (CFTimeZoneRef tz)
Boolean | CFTimeZoneIsDaylightSavingTime (CFTimeZoneRef tz, CFAbsoluteTime at)
CFTypeID | CFTimeZoneGetTypeID (void)
CFStringRef | CFTimeZoneCopyLocalizedName (CFTimeZoneRef tz, CFTimeZoneNameStyle style, CFLocaleRef locale)
CFTimeInterval | CFTimeZoneGetDaylightSavingTimeOffset (CFTimeZoneRef tz, CFAbsoluteTime at)
CFAbsoluteTime | CFTimeZoneGetNextDaylightSavingTimeTransition (CFTimeZoneRef tz, CFAbsoluteTime at)

## Variables

const CFStringRef | kCFTimeZoneSystemTimeZoneDidChangeNotification